cmake_minimum_required(VERSION 3.22)

file(GLOB_RECURSE TLSF_SOURCES "${CMAKE_CURRENT_LIST_DIR}/*.c")

add_library(tlsf ${TLSF_SOURCES})

target_include_directories(tlsf PUBLIC
  "${CMAKE_CURRENT_LIST_DIR}"
)
